------------------------------
-- Variables
------------------------------

local N, T = ...;

local E = LibStub("AceAddon-3.0"):NewAddon(N, "AceEvent-3.0");

T[1] = E -- Engine
T[2] = {}; -- Locale

_G[N] = T;

local defaults = {
	global = {
		experience = {
			point = "CENTER",
			relativeFrame = "UIParent",
			relativePoint = "CENTER",
			ofsx = 0,
			ofsy = 200,
		},
	},
}

function E:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New(N .. "DB", defaults, true);
end